Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.views
Class Menu

    java.lang.Object
      ViewPart
          org.eclipse.contribution.visualiser.views.Menu

public class Menu
extends ViewPart

The Menu part of the Visualiser. Displays Markup kinds, colour selection buttons and checkboxes.

See Also:
  Serialized Form

Constructor Summary
`Menu()` The constructor.

Method Summary
`void` | `createPartControl(Composite parent)` This is a callback that allows us to create the composite and initialize it.
`void` | `dispose()` Dispose of the menu when closed.
`void` | `ensureUptodate()` The main method - adds aspect names to the menu.
`boolean` | `getActive(java.lang.String name)` Get the active state of a kind (i.e.
`static java.lang.String` | `getMarkersToDisplay()`
`static boolean` | `isColorPerQuery()`
`static boolean` | `isColorPerRelationship()`
`static boolean` | `isPsychedelic()`
`void` | `reset()` Reset the up-to-date state of this view
`void` | `setFocus()` Passing the focus request to the viewer's control.
`void` | `setVisMarkupProvider(IMarkupProvider vmp)` Set the current IMarkupProvider

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Menu

    public Menu()

  The constructor.

Method Detail

### setVisMarkupProvider

    public void setVisMarkupProvider(IMarkupProvider vmp)

  Set the current IMarkupProvider

  Parameters:
    `vmp` -

### createPartControl

    public void createPartControl(Composite parent)

  This is a callback that allows us to create the composite and initialize it. It also creates listeners for the colour buttons and the checkboxes.

### getActive

    public boolean getActive(java.lang.String name)

  Get the active state of a kind (i.e. is the checkbox checked).

  Parameters:
    `name` - - the kind name
  Returns:

### reset

    public void reset()

  Reset the up-to-date state of this view

### ensureUptodate

    public void ensureUptodate()

  The main method - adds aspect names to the menu.

### setFocus

    public void setFocus()

  Passing the focus request to the viewer's control.

### dispose

    public void dispose()

  Dispose of the menu when closed.

### isPsychedelic

    public static boolean isPsychedelic()

### isColorPerRelationship

    public static boolean isColorPerRelationship()

### isColorPerQuery

    public static boolean isColorPerQuery()

### getMarkersToDisplay

    public static java.lang.String getMarkersToDisplay()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD